import { BaseControlEmits } from "../types";
export declare const DEFAULT_FIELD_VALUE: null;
export declare const BaseInputProps: {
    name: {
        type: StringConstructor;
        required: boolean;
    };
    isDirty: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    isTouched: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    error: {
        type: StringConstructor;
        default: () => string;
    };
    onBlur: {
        type: FunctionConstructor;
        required: boolean;
    };
    onClear: {
        type: FunctionConstructor;
        default: () => null;
    };
    modelValue: {
        type: (ObjectConstructor | BooleanConstructor | ArrayConstructor | StringConstructor | NumberConstructor | null)[];
        required: boolean;
    };
    'onUpdate:modelValue': {
        type: FunctionConstructor;
        required: boolean;
    };
};
export declare const BaseInputEmits: BaseControlEmits;
